Subject: Re: Mattias Engdegård <mattiase <at> acm.org>

From: Mattias Engdegård <[email-masked]>
Date: Sun, 13 Oct 2019 21:48:25 +0200

13 okt. 2019 kl. 18.52 skrev Paul Eggert <[email-masked]>:
> 
> Of the names you suggest, 'alt' is the the best. But here's another idea: use '|' for unordered or, and 'or' for ORdered OR. Strictly speaking this would be an incompatible change, but I doubt whether many users will notice or care.

That's an interesting notion, but am wary about the incompatibility; I'll have to think about it. Until then, let's consider 'alt' the default name. More (informed) opinions on the subject sought!

I take it the other changes -- 'anychar', [^z-a], and 'unmatchable' --- are less debatable; I'll push them in a day or two if nobody objects.

Thanks for taking an interest in naming, but the way; it isn't bikeshedding and deserves care.